find_discords_rra {jmotif} | R Documentation

## Finds a discord with RRA (Rare Rule Anomaly) algorithm. Usually works the best with higher than that for HOT-SAX sizes of discretization parameters (i.e., PAA and Alphabet sizes).

### Description

Finds a discord with RRA (Rare Rule Anomaly) algorithm. Usually works the best with higher than that for HOT-SAX sizes of discretization parameters (i.e., PAA and Alphabet sizes).

### Usage

    find_discords_rra(series, w_size, paa_size, a_size, nr_strategy, n_threshold,
      discords_num)

### Arguments

`series` | the input timeseries.
`w_size` | the sliding window size.
`paa_size` | the PAA size.
`a_size` | the alphabet size.
`nr_strategy` | the numerosity reduction strategy ("none", "exact", "mindist").
`n_threshold` | the normalization threshold.
`discords_num` | the number of discords to report.

### References

Senin Pavel and Malinchik Sergey, SAX-VSM: Interpretable Time Series Classification Using SAX and Vector Space Model., Data Mining (ICDM), 2013 IEEE 13th International Conference on.

### Examples

    discords = find_discords_rra(ecg0606, 100, 4, 4, "none", 0.01, 1)
    plot(ecg0606, type = "l", col = "cornflowerblue", main = "ECG 0606")
    lines(x=c(discords[1,2]:(discords[1,2]+100)),
       y=ecg0606[discords[1,2]:(discords[1,2]+100)], col="red")

[Package jmotif version 1.0.3 Index]